com.fasterxml.jackson.databind

## Class PropertyMetadata.MergeInfo

- java.lang.Object
- - com.fasterxml.jackson.databind.PropertyMetadata.MergeInfo

Enclosing class:
  PropertyMetadata

    public static final class PropertyMetadata.MergeInfo
    extends Object

Helper class used for containing information about expected merge information for this property, if merging is expected.

Since:
  2.9

### Field Summary

Fields
`boolean` `fromDefaults` Flag that is set if the information came from global defaults, and not from explicit per-property annotations or per-type config overrides.
`AnnotatedMember` `getter`

### Constructor Summary

Constructors
`protected` `MergeInfo(AnnotatedMember getter, boolean fromDefaults)`

### Method Summary

All Methods Static Methods Concrete Methods
`static PropertyMetadata.MergeInfo` `createForDefaults(AnnotatedMember getter)`
`static PropertyMetadata.MergeInfo` `createForPropertyOverride(AnnotatedMember getter)`
`static PropertyMetadata.MergeInfo` `createForTypeOverride(AnnotatedMember getter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### getter

    public final AnnotatedMember getter

#### fromDefaults

    public final boolean fromDefaults

Flag that is set if the information came from global defaults, and not from explicit per-property annotations or per-type config overrides.

### Constructor Detail

#### MergeInfo

    protected MergeInfo(AnnotatedMember getter,
                        boolean fromDefaults)

### Method Detail

#### createForDefaults

    public static PropertyMetadata.MergeInfo createForDefaults(AnnotatedMember getter)

#### createForTypeOverride

    public static PropertyMetadata.MergeInfo createForTypeOverride(AnnotatedMember getter)

#### createForPropertyOverride

    public static PropertyMetadata.MergeInfo createForPropertyOverride(AnnotatedMember getter)